# HG changeset patch
# User Natalia Kulatova <nkulatova@mozilla.com>
# Date 1687519432 0
#      Fri Jun 23 11:23:52 2023 +0000
# Node ID 653f4c1b58425219c0e9c005d555994a3fe1fa72
# Parent  f095bf91ffaa273ea38ca6df34c905e5442de012
Bug 1836925 - Removing the support of Curve25519 r=bbeurdouche,nss-reviewers

Differential Revision: https://phabricator.services.mozilla.com/D180068

diff -r f095bf91ffaa -r 653f4c1b5842 lib/freebl/Makefile
--- a/lib/freebl/Makefile	Fri Jun 23 08:56:27 2023 +0000
+++ b/lib/freebl/Makefile	Fri Jun 23 11:23:52 2023 +0000
@@ -568,9 +568,6 @@
             HAVE_INT128_SUPPORT = 1
             DEFINES += -DHAVE_INT128_SUPPORT
     else ifeq (1,$(CC_IS_GCC))
-        ifeq ($(CPU_ARCH),x86_64)
-            SUPPORTS_VALE_CURVE25519 = 1
-        endif
         ifneq (,$(filter 4.6 4.7 4.8 4.9,$(word 1,$(GCC_VERSION)).$(word 2,$(GCC_VERSION))))
             HAVE_INT128_SUPPORT = 1
             DEFINES += -DHAVE_INT128_SUPPORT
@@ -595,11 +592,6 @@
     DEFINES += -DKRML_VERIFIED_UINT128
 endif
 
-ifdef SUPPORTS_VALE_CURVE25519
-    VERIFIED_SRCS += Hacl_Curve25519_64.c
-    DEFINES += -DHACL_CAN_COMPILE_INLINE_ASM
-endif
-
 ifndef NSS_DISABLE_CHACHAPOLY
     ifeq ($(CPU_ARCH),x86_64)
         ifndef NSS_DISABLE_AVX2
diff -r f095bf91ffaa -r 653f4c1b5842 lib/freebl/freebl.gyp
--- a/lib/freebl/freebl.gyp	Fri Jun 23 08:56:27 2023 +0000
+++ b/lib/freebl/freebl.gyp	Fri Jun 23 11:23:52 2023 +0000
@@ -866,12 +866,6 @@
           }],
         ],
       }],
-      [ 'supports_vale_curve25519==1', {
-        'defines': [
-          # The Makefile does version-tests on GCC, but we're not doing that here.
-          'HACL_CAN_COMPILE_INLINE_ASM',
-        ],
-      }],
       [ 'OS=="linux" or OS=="android"', {
         'conditions': [
           [ 'target_arch=="x64"', {
@@ -934,11 +928,6 @@
   'variables': {
     'module': 'nss',
     'conditions': [
-      [ 'target_arch=="x64" and cc_is_gcc==1', {
-        'supports_vale_curve25519%': 1,
-      }, {
-        'supports_vale_curve25519%': 0,
-      }],
       [ 'target_arch=="x64" or target_arch=="arm64" or target_arch=="aarch64"', {
         'have_int128_support%': 1,
       }, {
diff -r f095bf91ffaa -r 653f4c1b5842 lib/freebl/freebl_base.gypi
--- a/lib/freebl/freebl_base.gypi	Fri Jun 23 08:56:27 2023 +0000
+++ b/lib/freebl/freebl_base.gypi	Fri Jun 23 11:23:52 2023 +0000
@@ -154,11 +154,6 @@
         'ecl/curve25519_32.c',
       ],
     }],
-    ['supports_vale_curve25519==1', {
-      'sources': [
-        'verified/Hacl_Curve25519_64.c',
-      ],
-    }],
     ['(target_arch!="ppc64" and target_arch!="ppc64le") or disable_altivec==1', {
       'sources': [
         # Gyp does not support per-file cflags, so working around like this.
